View Issue Details

IDProjectCategoryView StatusLast Update
0004339SymmetricDSImprovementpublic2020-07-01 09:13
Reporterpmarzullo Assigned Topmarzullo  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.7 
Target Version3.11.8Fixed in Version3.11.8 
Summary0004339: Oracle: Version 12.2 supports 128 character names for tables, columns, constraints, and foreign key names
DescriptionAdd a new platform, Oracle122, which is created if major version is greater than 12, or equal to 12 and minor version is equal to or greater than 2.
This new platform creates a Oracle122DdlBuilder, which defines maximum name length of 128 for tables, columns, constraints, and foreign key names.
Tagsddl/schema, dialect: oracle

Relationships

related to 0004462 closedelong Oracle failed to create trigger, identifier is too long 
related to 0004461 closedelong Oracle failed to create trigger, identifier is too long 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 5e1fadb4

2020-04-08 15:49:53

Philip Marzullo

Details Diff
0004339: Oracle: Version 12.2 supports 128 character names for tables,
columns, constraints, and foreign key names
Affected Issues
0004339
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DatabaseNamesConstants.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DdlBuilderFactory.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/Oracle122DdlBuilder.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbExport.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/JdbcDatabasePlatformFactory.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/Oracle122DatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2020-04-08 15:47 pmarzullo New Issue
2020-04-08 15:47 pmarzullo Status new => assigned
2020-04-08 15:47 pmarzullo Assigned To => pmarzullo
2020-04-08 15:47 pmarzullo Tag Attached: ddl/schema
2020-04-08 15:47 pmarzullo Tag Attached: dialect: oracle
2020-04-08 15:52 pmarzullo Status assigned => resolved
2020-04-08 15:52 pmarzullo Resolution open => fixed
2020-04-08 15:52 pmarzullo Fixed in Version => 3.11.8
2020-04-08 16:00 Changeset attached => SymmetricDS 3.11 5e1fadb4
2020-04-21 15:02 admin Status resolved => closed
2020-07-01 09:13 elong Relationship added related to 0004462
2020-07-01 09:13 elong Relationship added related to 0004461